MsWksDocument::Zone Struct Reference

a zone of a MsWksDocument ( main, header, footer ) More...

`#include <MsWksDocument.hxx>`

## Public Member Functions
| Zone (ZoneType type=Z_NONE, int zoneId=-1)
| the constructor

## Public Attributes
ZoneType | m_type
| the zone type
int | m_zoneId
| the parser zone id
int | m_textId
| the text internal id

## Detailed Description

a zone of a MsWksDocument ( main, header, footer )

## Constructor & Destructor Documentation

## ◆ Zone()

MsWksDocument::Zone::Zone | ( | ZoneType | type = Z_NONE,
|  | int | zoneId = -1 )
| inline explicit

the constructor

## Member Data Documentation

## ◆ m_textId

int MsWksDocument::Zone::m_textId

the text internal id

Referenced by MsWksDocument::getPageSpanList(), MsWksDocument::readGroupHeaderFooter(), MsWksDocument::sendZone(), and Zone().

## ◆ m_type

ZoneType MsWksDocument::Zone::m_type

the zone type

Referenced by Zone().

## ◆ m_zoneId

int MsWksDocument::Zone::m_zoneId

the parser zone id

Referenced by MsWksDocument::getPageSpanList(), MsWksDocument::readZone(), MsWksDocument::sendZone(), and Zone().

The documentation for this struct was generated from the following file:

- MsWksDocument.hxx